Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 488860 - media-gfx/graphite2 - add multilib support
Summary: media-gfx/graphite2 - add multilib support
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Office Team
URL:
Whiteboard:
Keywords: PATCH, PMASKED
Depends on:
Blocks: gx86-multilib 488864
  Show dependency tree
 
Reported: 2013-10-21 11:08 UTC by Andrew Church
Modified: 2014-03-01 13:32 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
graphite2-1.2.1.ebuild.patch (graphite2-1.2.1.ebuild.patch,1.41 KB, patch)
2013-10-21 11:08 UTC, Andrew Church
Details | Diff
Patch to graphite2-1.2.1.ebuild, using cmake-multilib.eclass (graphite2-1.2.1-r1.ebuild.diff,1.73 KB, patch)
2013-12-29 23:29 UTC, Michał Górny
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Church 2013-10-21 11:08:04 UTC
Created attachment 361506 [details, diff]
graphite2-1.2.1.ebuild.patch

Dependency of GTK+ via pango and harfbuzz.

The Perl part is a bit hacky because perl-module.eclass breaks if you try to run it twice (for two arches).  But then, presumably we don't need a non-native version of the Perl module anyway.
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-12-29 23:29:01 UTC
Created attachment 366502 [details, diff]
Patch to graphite2-1.2.1.ebuild, using cmake-multilib.eclass

@Andrew: please use multilib_build_binaries instead of multilib_is_native_abi.

Your patch is esentially correct. However, in this particular case cmake-multilib.eclass should be much easier to use. I've also removed the ugly base.eclass inherit in favor of own cmake-utils functions...

The remaining part is tests. Curious enough, most of the tests don't have extra dependencies. The only tests that have those are the 'comparison tests' which seem to compare graphite2 to other libraries. Since the tests are skipped appropriately when necessary libs aren't installed, I'd say we can just leave them at native ABI with a comment.

As for those tests themselves, the dependency string in ebuild is incomplete or outdated. Reading the sub-CMakeLists.txt file, I can find at least a few more libraries like icu and harfbuzz.

Since those tests are pretty specific and I wouldn't consider them a core part of the test suite. Since they compare the library to other libraries on the system, I'd say their results aren't 100% safe.

I think we can either:

a) don't put any deps for those tests and just have them run when user has some of those libraries installed,

b) put one big || () dep on necessary libraries, so that we'd run at least 1 comparison test but not pull in too many extra deps,

c) put all deps in there. This would mean that users running tests will have a few extra libraries installed but it would be tested against each of them :).
Comment 2 Andrew Church 2013-12-30 02:34:37 UTC
Thanks for the comments.

Regarding tests, I'd agree that comparisons with other libraries aren't particularly meaningful so it's probably not worth adding deps for them.  (Plus, harfbuzz depends on graphite2 so it would have to be left out anyway.)  That said, I have zero personal investment in graphite2 so I may not be the best person to judge -- to me it's just another package on the path to GTK+ multilib. (:
Comment 3 Christoph Junghans gentoo-dev 2014-01-12 01:45:22 UTC
The patch looks nice and clean.
Comment 4 Christoph Junghans gentoo-dev 2014-02-07 22:39:53 UTC
ping @ openoffice!
Comment 5 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-03-01 13:32:54 UTC
+*graphite2-1.2.4-r1 (01 Mar 2014)
+
+  01 Mar 2014; Michał Górny <mgorny@gentoo.org> +graphite2-1.2.4-r1.ebuild:
+  Introduce multilib support as a dependency of pango, bug #488860.

Committed p.masked, feel free to comment before it is unmasked.